
Installer - Feature #34089

Puppet module puppet-foreman missing parameter for :trusted_proxies:

12/06/2021 10:27 AM - Harm Endres

Status: Closed   

Priority: Normal   

Assignee: Harm Endres   

Category: Foreman modules   

Target version:    

Difficulty: trivial Fixed in Releases: 3.2.0

Triaged: No Found in Releases: 2.5.4

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/1011,

https://github.com/theforeman/puppet-for

eman/pull/1013

  

Description

Hey folks,

I am missing a parameter for the :trusted_proxies: in setting.yaml in the Puppet module.

Greetings

Harm

Associated revisions

Revision 0a1e6fe1 - 12/23/2021 05:02 PM - Bernhard Suttner 

Fixes #34089 - Add trusted proxies

Revision 2f60b885 - 01/06/2022 03:31 PM - Ewoud Kohl van Wijngaarden

Refs #34089 - Work around Kafo type parsing bug

Due to a bug in Kafo

1

, the Stdlib::IP::Address data type can't be

used. This broke the nightly build

2

.

By reducing the type to simple String

1

 and asserting in the body the

same guarantee is given, but with a worse UX if it does fail.

[1]: https://projects.theforeman.org/issues/21398

[2]: https://community.theforeman.org/t/foreman-installer-develop-package-release-1015-failed/26627/3

History

#1 - 12/17/2021 12:03 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/1011 added

#2 - 12/23/2021 05:02 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#3 - 12/23/2021 06:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|0a1e6fe19dcdc316a1119654945329b72a2ffbb7.

#4 - 01/03/2022 04:47 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/1013 added
